# Type alias FindViewsPred

FindViewsPred: ((arg0) => boolean)

#### Type declaration

- - (arg0): boolean

  - #### Parameters

    - ##### arg0: {
      state_fields: FieldLike[];
      viewrow: View;
      viewtemplate?: ViewTemplate;
      }

      - ##### state_fields: FieldLike[]

      - ##### viewrow: View

      - ##### `Optional` viewtemplate?: ViewTemplate

    #### Returns boolean

- Defined in saltcorn-data/models/view.ts:974

Generated using TypeDoc